#!/usr/bin/env bash

: "${PORT:=9660}"
: "${MANAGEMENT_SERVER_PORT:=8881}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"
echo "JAVA_OPTS=$JAVA_OPTS"

status=0
set +e
TZ=UTC java $JAVA_OPTS $JAVA_MEMORY_ARGS -XshowSettings:vm -jar "app.jar" -server.port=:$PORT -management.server.port=:$MANAGEMENT_SERVER_PORT $*
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
